FROM debian:jessie-slim

COPY sshd_entrypoint.sh /root/sshd_entrypoint.sh

# runtime arguments
ENV DEBIAN_FRONTEND=noninteractive \
    LANG=C \
    LC_TYPE=C.UTF-8

RUN printf "unattended-upgrades\tunattended-upgrades/enable_auto_updates\tboolean\ttrue" | debconf-set-selections

RUN set -x \
    && mkdir -m0755 /run/sshd \
    && mkdir -m0700 /root/.ssh \
    \
    && apt-get update \
    && apt-get install -y --no-install-recommends openssh-server python python-apt unattended-upgrades \
    && apt-get clean \
    \
    && ( echo "LANG=C.UTF-8"; echo "LC_TYPE=C.UTF-8"; echo "LC_MESSAGES=POSIX" ; echo "LANGUAGE=en" ) >> /etc/default/locale \
    && locale -a

EXPOSE 22/tcp
